package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.shared.Usage;

import java.util.function.Function;

public class UsageTasks {

    private final Harness harness;

    public UsageTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> chooseUsage(Usage usage) {
        return start -> start
                .clickVehicleUsageComboboxArrow()
                .clickVehicleUsage(usage);
    }
}
